Reopen Voided Credit Memo
curl --request POST \
--url https://api.meetcampfire.com/coa/api/v1/credit-memo/{credit_memo_id}/reopen/import requests
url = "https://api.meetcampfire.com/coa/api/v1/credit-memo/{credit_memo_id}/reopen/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.meetcampfire.com/coa/api/v1/credit-memo/{credit_memo_id}/reopen/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"lines": [
{
"id": 123,
"account_number": "<string>",
"account_name": "<string>",
"product_name": "<string>",
"anrok_item_id": "<string>",
"department_name": "<string>",
"tags": [
{}
],
"tax_rate_name": "<string>",
"tax_rate_value": 0,
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"description": "<string>",
"amount": 0,
"tax": 0,
"tax_description": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"product": 123,
"tax_rate": 123,
"department": 123
}
],
"payments": [
{
"id": 123,
"payment_journal_entry_order": "<string>",
"voided_journal_entry_order": "<string>",
"invoice": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"credit_memo": 123,
"payment_journal_entry": 123,
"currency": "<string>",
"amount": 0,
"payment_date": "2023-12-25",
"voided_date": "2023-12-25",
"payment_transaction": 123,
"voided_journal_entry": 123
}
],
"amount_remaining": 123,
"entity_name": "<string>",
"entity_currency": "<string>",
"client_name": "<string>",
"client_campfire_id": "<string>",
"client_email": "<string>",
"contract_name": "<string>",
"revenue_contract_name": "<string>",
"credit_account_number": "<string>",
"credit_account_name": "<string>",
"attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"voided_date": "2023-12-25",
"voided_journal_entry_order": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"search_vector": "<string>",
"search_text": "<string>",
"credit_memo_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"entity": 123,
"revenue_contract": 123,
"credit_memo_number": "<string>",
"credit_memo_type": "credit_memo",
"ref_number": "<string>",
"applied_date": "2023-12-25",
"message_on_credit_memo": "<string>",
"application_status": "open",
"currency": "<string>",
"exchange_rate": 0,
"exchange_rate_book": 0,
"last_sent_at": "2023-11-07T05:31:56Z",
"anrok_transaction_id": "<string>",
"integration_id": "<string>",
"integration_context": null,
"vat_number": "<string>",
"total_amount": 0,
"amount_used": 0,
"chat_id": -1,
"client": 123,
"credit_account": 123,
"journal_entry": 123,
"contract": 123,
"voided_journal_entry": 123,
"anrok_connection": 123,
"avalara_connection": 123,
"sphere_connection": 123
}Accounts Receivable
Reopen Voided Credit Memo
Reopen a voided credit memo.
This removes the void date and void journal entry, and sets the credit memo status back to open. The voiding journal entry will be deleted to reverse the void operation.
POST
/
coa
/
api
/
v1
/
credit-memo
/
{credit_memo_id}
/
reopen
/
Reopen Voided Credit Memo
Path Parameters
ID of the voided credit memo to reopen
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Calculate amount remaining from database fields
Combines account number and name in the format "number - name"
Show child attributes
Show child attributes
Revenue contract to link this credit memo to at creation.
credit_memo- Credit Memooverpayment- Overpayment
Available options:
credit_memo, overpayment Maximum string length:
120open- Openpartially_used- Partially Usedused- Usedvoided- Voided
Available options:
open, partially_used, used, voided Maximum string length:
3Required range:
-100000000000000 < x < 100000000000000Required range:
-100000000000000 < x < 100000000000000ID of the negation transaction in Anrok for this credit memo
Maximum string length:
255Maximum string length:
250Maximum string length:
250Sum of all line item amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Sum of all non-voided payment amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-2147483648 <= x <= 2147483647